Package org.apache.tools.ant.types.optional.imageio

## Class Arc.ArcType

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.optional.imageio.Arc.ArcType

Enclosing class:
  Arc

    public static class Arc.ArcType
    extends EnumeratedAttribute

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`ArcType()` Constructor
`ArcType​(java.lang.String value)` Constructor using a string.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Arc.ArcType` `getDefault()` Get the default ArcType value.
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArcType

    public ArcType()

Constructor

#### ArcType

    public ArcType​(java.lang.String value)

Constructor using a string.

Parameters:
  `value` - the value of the attribute

### Method Detail

#### getDefault

    public static Arc.ArcType getDefault()

Get the default ArcType value.

Returns:
  the default value.

#### getValues

    public java.lang.String[] getValues()

Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
See Also:
  `.`